%define tar_date 20160608

Name:        google-config
Version:     2.0.0
Release:     1%{?dist}
Group:       default
Summary:     Google Compute Engine guest configs
AutoReqProv: no

License: Apache Software License
URL:     https://github.com/GoogleCloudPlatform/compute-image-packages
Source0: https://github.com/GoogleCloudPlatform/compute-image-packages/archive/%{tar_date}.tar.gz

%description
Google Compute Engine guest configs

%prep
%setup -q -n compute-image-packages-%{tar_date}/google_configs

%install
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/{dhcp/dhclient.d,rsyslog.d,sysctl.d,udev/rules.d}

%{__cp} -r bin/* %{buildroot}%{_bindir}
%{__cp} -r dhcp/* %{buildroot}%{_sysconfdir}/dhcp/dhclient.d/
%{__cp} -r rsyslog/* %{buildroot}%{_sysconfdir}/rsyslog.d/
%{__cp} -r sysctl/* %{buildroot}%{_sysconfdir}/sysctl.d/
%{__cp} -r udev/* %{buildroot}%{_sysconfdir}/udev/rules.d/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/set_hostname
%{_sysconfdir}/dhcp/dhclient.d/google_hostname.sh
%{_sysconfdir}/rsyslog.d/90-google.conf
%{_sysconfdir}/sysctl.d/11-gce-network-security.conf
%{_sysconfdir}/udev/rules.d/64-gce-disk-removal.rules
%{_sysconfdir}/udev/rules.d/65-gce-disk-naming.rules

%changelog
* Fri Jun 17 2016 Satoe Imaishi <simaishi@redhat.com> - 2.0.0-1
- Initial Build
